Telegram APIMessages
messages.getPinnedDialogs
Get pinned dialogs
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get pinned dialogs
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getPinnedDialogs" \ -H "Content-Type: application/json" \ -d '{ "params": { "folderId": 0 } }'{ "result": { "_": "messages.peerDialogs", "dialogs": [ { "_": "dialog", "pinned": true, "unreadMark": true, "viewForumAsMessages": true, "peer": { "_": "peerUser", "userId": 0 }, "topMessage": 0, "readInboxMaxId": 0, "readOutboxMaxId": 0, "unreadCount": 0, "unreadMentionsCount": 0, "unreadReactionsCount": 0, "unreadPollVotesCount": 0, "notifySettings": { "_": "peerNotifySettings", "showPreviews": true, "silent": true, "muteUntil": 0, "iosSound": { "_": "notificationSoundDefault" }, "androidSound": { "_": "notificationSoundDefault" }, "otherSound": { "_": "notificationSoundDefault" }, "storiesMuted": true, "storiesHideSender": true, "storiesIosSound": { "_": "notificationSoundDefault" }, "storiesAndroidSound": { "_": "notificationSoundDefault" }, "storiesOtherSound": { "_": "notificationSoundDefault" } }, "pts": 0, "draft": { "_": "draftMessageEmpty", "date": 0 }, "folderId": 0, "ttlPeriod": 0 } ], "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ], "state": { "_": "updates.state", "pts": 0, "qts": 0, "date": 0, "seq": 0, "unreadCount": 0 } }}